<?php

declare(strict_types=1);

namespace App\Filament\Components\Table;

use Filament\Tables\Columns\TextColumn;

class LanguageTextColumn extends TextColumn
{
    public static function create(): static
    {
        return parent::make('language')
            ->label('زبان')
            ->sortable()
            ->searchable()
            ->toggleable()
            ->toggledHiddenByDefault();
    }
}
